## 设置每日目标

**请求URL**
- GET `sportTarget/set`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| id | 是 | int | | |

**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{            // 如果用户没有设置目标则 data 为 null
        "reach":false,  // 是否到达目标
        "remain":160,   // 剩余运动分钟
        "target":{      // 目标对象
            "id":4,
            "name":"增肌",
            "intension":"增肌",
            "duration":160,
            "consume":400,
            "fit_people":"有一定健身基础的人",
            "sort":1,
            "user_id":null
        }
    }
}
```


## 设置自定义目标


**请求URL**
- POST `sportTarget/setCustom`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| duration | 是 | int | 时长 分钟
| consume | 是 | int | 消耗 卡路里

**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{            // 如果用户没有设置目标则 data 为 null
        "reach":false,  // 是否到达目标
        "remain":160,   // 剩余运动分钟
        "target":{      // 目标对象
            "id":4,
            "name":"自定义",
            "intension":"自定义",
            "duration":160,
            "consume":400,
            "fit_people":"",
            "sort":0,
            "user_id":1
        }
    }
}
```

## 删除每日目标

**请求URL**
- GET `sportTarget/del`


**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data": null
}
```