**请求URL**
- GET `sport/detail`

**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
		"step": 10000,           // 今日步数
		"duration_total_day": 9, // 今日已运动分钟数
		"duration_target": 160,  // 目标时长
		"sport_times": 13,       // 运动次数
		"target": {              // 运动目标，未设置为 null
			"id": 4,
			"name": "增肌",
			"intension": "增肌",
			"duration": 160,
			"consume": 400,
			"fit_people": "有一定健身基础的人",
			"sort": 1,
			"user_id": null
		},
        "next_achievement":{
				"id": 3,
				"series_id": 1,
				"logo": "",
				"name": "燃脂达人Ⅲ",
				"reward_exp": 10,
				"reward_score": 2,
				"condition_count": 2000,
				"condition_measure": "kal",
				"created_at": null,
			}
            "condition_count_diff":17548
        },
        "records_today_sum":{ // 今日运动的汇总
			"id": 8,
			"user_id": 1,
			"duration": 175,
			"created_at": "2020-10-15",
			"times": 13,
			"consume": 340,
			"jump_count": 746,
			"crouch_count": 554,
			"step_count": 23836,
			"step_rate": 133.1,
			"step_rate_max": 160.1,
        },
        "records_today":[  // 今日运动的记录
            {
                "id":136,
                "user_id":3,
                "duration":9,
                "created_at":"2020-08-27 01:46:59",
                "consume":22,
                "game_id":2,
                "jump_count":0,
                "crouch_count":0,
                "score":96.4
            }
        ],
        "games_sum":[   // 游戏记录的汇总
            {
                "id":9,
                "user_id":3,
                "game_id":1,
                "last_play_at":"2020-08-24 05:47:06",
                "play_count":15,
                "duration_total":489,
                "score_total":894.3,
                "consume_total":1222,
                "score_max":91.7,
				"game": {...}
            },
        ],
        "achievements":[  // 已拥有成就
            {
				"id": 2,
				"series_id": 1,
				"logo": "",
				"name": "燃脂达人Ⅱ",
				"reward_exp": 5,
				"reward_score": 1,
				"condition_count": 1000,
				"created_at": "2020-10-15 15:31:27"
            }
        ]
    }
}
```