#### 地址

``chat/index``

#### 返回

```
{
	...
	data: [
		// 一个对象是跟一个用户的对话，区最新的一条信息（无论是自己发的还是对方发的）
		{
			"id": 4,
			"from_id": 2,
			"to_id": 1,
			"type": "text", // 消息类型，详见消息结构
			"data": {       // 消息数据，详见消息结构
				"text": "你大E了"
			},
			"to_user": {     // 接收方的用户信息
				"id": 1,
				"name": "测试用户1",
				"avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
				"online": false
			},
			"from_user": {   // 发送方的用户信息
				"id": 2,
				"name": "测试用户2",
				"avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
				"online": false
			},
			"relate": "friends",
			"self_send": false,  // 是否是自己发的
			"read": 0,           // 是否已读
			"unread_count": 3    // 与该用户的对话中未读消息的数量
			"created_at": "2020-11-26 10:26:46",
		}
	]
	...
}
```