**请求URL**
- GET `game/all`

> 如果带上 ?id=1 则只获取该 id 的信息

**返回示例**


```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":[
        {
            "id":1,
            "name":"测试游戏一",
            "tags":[
                "标签一",
                "标签二",
                "标签三",
                "标签四"
            ],
            "cover":"https://static.ouj.com/shoes/test/img/game-cover.jpg",
            "cover_horizontal":"https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
            "cover_vertical":"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
            "introduce_video":"https://static.ouj.com/shoes/test/vid/game.mp4",
            "introduce_video_cover":"https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
            "introduce":"游戏一的介绍，非常好玩",
            "introduce_images":[
                "https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
                "https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
                "https://static.ouj.com/shoes/test/img/game-cover-y.jpg"
            ],
            "file_size":100, // 单位 M
            "publish_date":"2020-01-01",
            "develop_company":"有限公司有限公司有限公司有限公司",
            "like_count":8888,
            "user_count":88888,
            "version":"0.0.1",
            "download_url":"https://static.ouj.com/shoes/test/download/game.zip",
			"subject_id": 1,
			"is_like": false, // 用户是否点赞过该游戏
			"difficulty": 50, // 难度为 0 ~ 100
        },
```