##### 简要描述

- 检测新好友请求列表

##### 请求URL
- ` /user/FetchFriendsRequest `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|- |-  |- |-   |


##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "uid": "4",
            "is_finished": "0",
            "is_rejected": "0",
            "make_from": "qrcode",  //来源：qrcode, follow
            "created_at": "2020-12-01 19:45:55", //请求好友时间
            "socialInfo": { //用户信息
                "id": "4",
                "name": "测试用户4",
                "level": "1",
                "score": "4",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        },
        {
            "uid": "3",
            "is_finished": "0",
            "is_rejected": "0",
            "make_from": "qrcode",
            "created_at": "2020-12-01 19:45:51",
            "socialInfo": {
                "id": "3",
                "name": "测试用户3",
                "level": "1",
                "score": "10",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        },
        {
            "uid": "1",
            "is_finished": "0",
            "is_rejected": "0",
            "make_from": "qrcode",
            "created_at": "2020-12-01 19:38:26",
            "socialInfo": {
                "id": "1",
                "name": "测试用户1",
                "level": "1",
                "score": "4",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        }
    ]
}
```


##### 备注 

- 需要登录态
- 这里只会加载扫码的，而通过线上互相关注的会自动成为好友，故不必多虑
- 目前产品仅需要取第一条数据作为弹出的操作框之用



