

    
##### 简要描述

- 官帖列表（不可搜索）

##### 请求URL
- ` /forum/listByOfficial `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|forumId |否  |int | 论坛分区ID    |
|p     |否  |int | 页码    |
|limit  |否  |int | 每页条数    |
|sortBy |否  |string | 排序方式：like_count-点赞/comment_count-评论数/created_at-最新。默认按时间排序，参数非法或不传，也视为点赞  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "184",
                "user_id": "1",
                "forum_id": "2",
                "title": "",
                "content": "1234",
                "images": [],
                "created_at": "2020-10-26 14:51:13",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛2",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_53276041_1592792894/96",
                "forum_icon": "",
                "game_id": "2",
                "create_time": 1603695073,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "183",
                "user_id": "1",
                "forum_id": "3",
                "title": "",
                "content": "so google",
                "images": [],
                "created_at": "2020-10-26 11:49:26",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "178",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛3",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52455981_1599699899/96",
                "forum_icon": "",
                "game_id": "3",
                "create_time": 1603684166,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": {
                    "id": "178",
                    "user_id": "42",
                    "forum_id": "1",
                    "title": "",
                    "content": "DOF simulator - Camera depth of field calculator with visual background blur and bokeh simulation. https://dofsimulator.net/en/",
                    "images": [
                        {
                            "id": "391",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/4f105f72c5f9d461651b3d07e6178446_size1399x492_110318.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/4f105f72c5f9d461651b3d07e6178446_size1399x492_110318.jpg?x-oss-process=image/resize,p_50",
                            "seq": "0",
                            "created_at": "2020-10-09 11:42:25"
                        },
                        {
                            "id": "392",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/052f3788ec3e17b01462cee860bd4305_size1920x1440_585897.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/052f3788ec3e17b01462cee860bd4305_size1920x1440_585897.jpg?x-oss-process=image/resize,p_50",
                            "seq": "1",
                            "created_at": "2020-10-09 11:42:30"
                        },
                        {
                            "id": "393",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/1df56607e8cb1cb39b361102bf8e1d6a_size1280x865_197183.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/1df56607e8cb1cb39b361102bf8e1d6a_size1280x865_197183.jpg?x-oss-process=image/resize,p_50",
                            "seq": "2",
                            "created_at": "2020-10-09 11:42:32"
                        },
                        {
                            "id": "394",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/0345bffc96c68db100604e9bb1e6ab7f_size1440x1642_258713.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/0345bffc96c68db100604e9bb1e6ab7f_size1440x1642_258713.jpg?x-oss-process=image/resize,p_50",
                            "seq": "3",
                            "created_at": "2020-10-09 11:42:34"
                        },
                        {
                            "id": "395",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/d249cae69ebe73886a7a48edb79ead5f_size487x466_8709.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/d249cae69ebe73886a7a48edb79ead5f_size487x466_8709.jpg?x-oss-process=image/resize,p_50",
                            "seq": "4",
                            "created_at": "2020-10-09 11:42:35"
                        }
                    ],
                    "created_at": "2020-10-09 11:42:37",
                    "share_count": "2",
                    "like_count": "0",
                    "comment_count": "0",
                    "view_count": "0",
                    "popularity": "2",
                    "hide_note": "",
                    "is_good": "0",
                    "is_top": "0",
                    "is_gg": "0",
                    "is_hide": "0",
                    "quote_subject_id": "0",
                    "quote_comment_id": "0",
                    "nickname": "怒斥HK记者",
                    "avatar": "http://static.ouj.com/shoes/dev/avatar/avatar_42_684eac2e69edb0fc3de34d61823390be.jpg",
                    "socialInfo": {
                        "id": "42",
                        "name": "怒斥HK记者",
                        "level": "2",
                        "score": "0",
                        "is_ban": "0",
                        "province_id": "210000",
                        "city_id": "210100",
                        "district_id": "210101",
                        "gender": "1",
                        "age": "99",
                        "avatar": "http://static.ouj.com/shoes/dev/avatar/avatar_42_684eac2e69edb0fc3de34d61823390be.jpg"
                    },
                    "tags": [],
                    "time": "2020.10.27 13:14",
                    "create_time": 1602214957,
                    "forum_name": "论坛1",
                    "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                    "forum_icon": "",
                    "game_id": "1",
                    "quoteSubject": null,
                    "hotComment": "[已指定不返回此热评数据]",
                    "hasHotComment": false,
                    "is_liked": false
                }
            },
            {
                "id": "182",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "习",
                "images": [],
                "created_at": "2020-10-23 19:45:26",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1603453526,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "179",
                "user_id": "1",
                "forum_id": "2",
                "title": "",
                "content": "转发一下",
                "images": [],
                "created_at": "2020-10-22 10:48:01",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "1",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "178",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛2",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_53276041_1592792894/96",
                "forum_icon": "",
                "game_id": "2",
                "create_time": 1603334881,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": {
                    "id": "178",
                    "user_id": "42",
                    "forum_id": "1",
                    "title": "",
                    "content": "DOF simulator - Camera depth of field calculator with visual background blur and bokeh simulation. https://dofsimulator.net/en/",
                    "images": [
                        {
                            "id": "391",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/4f105f72c5f9d461651b3d07e6178446_size1399x492_110318.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/4f105f72c5f9d461651b3d07e6178446_size1399x492_110318.jpg?x-oss-process=image/resize,p_50",
                            "seq": "0",
                            "created_at": "2020-10-09 11:42:25"
                        },
                        {
                            "id": "392",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/052f3788ec3e17b01462cee860bd4305_size1920x1440_585897.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/052f3788ec3e17b01462cee860bd4305_size1920x1440_585897.jpg?x-oss-process=image/resize,p_50",
                            "seq": "1",
                            "created_at": "2020-10-09 11:42:30"
                        },
                        {
                            "id": "393",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/1df56607e8cb1cb39b361102bf8e1d6a_size1280x865_197183.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/1df56607e8cb1cb39b361102bf8e1d6a_size1280x865_197183.jpg?x-oss-process=image/resize,p_50",
                            "seq": "2",
                            "created_at": "2020-10-09 11:42:32"
                        },
                        {
                            "id": "394",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/0345bffc96c68db100604e9bb1e6ab7f_size1440x1642_258713.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/0345bffc96c68db100604e9bb1e6ab7f_size1440x1642_258713.jpg?x-oss-process=image/resize,p_50",
                            "seq": "3",
                            "created_at": "2020-10-09 11:42:34"
                        },
                        {
                            "id": "395",
                            "user_id": "42",
                            "subject_id": "178",
                            "src": "http://static.ouj.com/subject/d249cae69ebe73886a7a48edb79ead5f_size487x466_8709.jpg",
                            "src_type": "image",
                            "thumbnail": "http://static.ouj.com/subject/d249cae69ebe73886a7a48edb79ead5f_size487x466_8709.jpg?x-oss-process=image/resize,p_50",
                            "seq": "4",
                            "created_at": "2020-10-09 11:42:35"
                        }
                    ],
                    "created_at": "2020-10-09 11:42:37",
                    "share_count": "2",
                    "like_count": "0",
                    "comment_count": "0",
                    "view_count": "0",
                    "popularity": "2",
                    "hide_note": "",
                    "is_good": "0",
                    "is_top": "0",
                    "is_gg": "0",
                    "is_hide": "0",
                    "quote_subject_id": "0",
                    "quote_comment_id": "0",
                    "nickname": "怒斥HK记者",
                    "avatar": "http://static.ouj.com/shoes/dev/avatar/avatar_42_684eac2e69edb0fc3de34d61823390be.jpg",
                    "socialInfo": {
                        "id": "42",
                        "name": "怒斥HK记者",
                        "level": "2",
                        "score": "0",
                        "is_ban": "0",
                        "province_id": "210000",
                        "city_id": "210100",
                        "district_id": "210101",
                        "gender": "1",
                        "age": "99",
                        "avatar": "http://static.ouj.com/shoes/dev/avatar/avatar_42_684eac2e69edb0fc3de34d61823390be.jpg"
                    },
                    "tags": [],
                    "time": "2020.10.27 13:14",
                    "create_time": 1602214957,
                    "forum_name": "论坛1",
                    "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                    "forum_icon": "",
                    "game_id": "1",
                    "quoteSubject": null,
                    "hotComment": "[已指定不返回此热评数据]",
                    "hasHotComment": false,
                    "is_liked": false
                }
            },
            {
                "id": "139",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "1234",
                "images": [],
                "created_at": "2020-09-23 11:25:54",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "1",
                "view_count": "0",
                "popularity": "2",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1600831554,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "113",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "敏感词你妈呢",
                "images": [],
                "created_at": "2020-09-18 14:32:53",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "4",
                "view_count": "2",
                "popularity": "5",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1600410773,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "112",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "abcd测试",
                "images": [],
                "created_at": "2020-09-18 14:32:03",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "1",
                "view_count": "0",
                "popularity": "2",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1600410723,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "111",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "测试",
                "images": [],
                "created_at": "2020-09-18 14:30:29",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "1",
                "view_count": "0",
                "popularity": "2",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1600410629,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "101",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-09-16 22:21:31",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1600266091,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            },
            {
                "id": "56",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "we are going",
                "images": [],
                "created_at": "2020-09-03 15:42:45",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": 1,
                "is_hide": "0",
                "is_official": "1",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "nickname": "官方号1",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "forum_name": "论坛1",
                "forum_cover": "https://pp.myapp.com/ma_icon/0/icon_52480470_1596505990/96",
                "forum_icon": "",
                "game_id": "1",
                "create_time": 1599118965,
                "is_liked": false,
                "tags": [
                    "公告"
                ],
                "quoteSubject": null
            }
        ],
        "pages": {
            "total_count": "65",
            "page_size": 10,
            "total_page": 7,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 7,
            "current_page": 1,
            "all_pages": [
                1
            ],
            "offset": 0,
            "limit": 10
        },
        "count": "65"
    }
}
```

##### 备注 

- 不用登录

- 帖子内属性data.list[*].quoteData说明
  格式：
```
{
  "某属性名": {"value":属性值, "from":"来自表名#数据ID"}
}
```
  例如：
```
{
  "uid": {"value":123},
  "username": {"value":"王爸胆", "from":"user#123"},
  "sid": {"value":456},
  "subjectTitle": {"value":"今天池了易抛史", "from":"subject#456"}
}
```
  注意：
  	value和from是本例的保留字，不要用于属性名
	from: 目前支持user, subject, comment, game, forum，有需要可扩展


