

    
##### 简要描述

- 互关用户列表（好友）

##### 请求URL
- ` /forum/friends `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|groupId |否  |string |分组ID，格式如“1_3”，表示分表尾号为1、ID为3的数据   |
|p |否  |int |页码，默认1  |
|limit |否  |int |每页条数，默认50  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "name": "老鹅饭店",
            "uid": "92",
            "is_friends": "1",
            "is_ignore": 1,
            "groups": ["2_8","2_9","2_6","2_10"],
            "created_at": "2020-12-02 16:51:27",
            "updated_at": "2020-12-02 16:52:01",
            "socialInfo": {
                "id": "92",
                "name": "老鹅饭店",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "0",
                "is_ban": "0",
                "province": "",
                "province_id": null,
                "city": "",
                "city_id": null,
                "district": "",
                "district_id": null,
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "online_status": "ONLINE"
            },
            "online_status": "ONLINE"
        },
        {
            "name": "测试9965",
            "uid": "90",
            "is_friends": "1",
            "is_ignore": 1,
            "groups": ["2_8","2_9","2_6","2_10"],
            "created_at": "2020-12-02 11:45:00",
            "updated_at": "2020-12-02 11:45:00",
            "socialInfo": {
                "id": "90",
                "name": "测试9965",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "0",
                "is_ban": "0",
                "province": "",
                "province_id": null,
                "city": "",
                "city_id": null,
                "district": "",
                "district_id": null,
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "online_status": "ONLINE"
            },
            "online_status": "ONLINE"
        },
        {
            "name": "Dream Catcher",
            "uid": "41",
            "is_friends": "1",
            "is_ignore": 1,
            "groups": ["2_8","2_9","2_6","2_10"],
            "created_at": "2020-11-26 19:20:24",
            "updated_at": "2020-11-26 19:20:24",
            "socialInfo": {
                "id": "41",
                "name": "Dream Catcher",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "0",
                "is_ban": "0",
                "province": "",
                "province_id": null,
                "city": "",
                "city_id": null,
                "district": "",
                "district_id": null,
                "gender": "1",
                "age": null,
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_41_720143884022e236bff4f46129a3ce1f.jpg",
                "online_status": "OFFLINE"
            },
            "online_status": "OFFLINE"
        },
        {
            "name": "Lily",
            "uid": "62",
            "is_friends": "1",
            "is_ignore": 1,
            "groups": null,
            "created_at": "2020-11-05 17:31:40",
            "updated_at": "2020-11-17 10:25:19",
            "socialInfo": {
                "id": "62",
                "name": "Lily",
                "level": "2",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "6",
                "is_ban": "0",
                "province": "广东省",
                "province_id": "440000",
                "city": "广州市",
                "city_id": "440100",
                "district": "",
                "district_id": null,
                "gender": "2",
                "age": null,
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_62_ea1f596186380bfff765c599748f0e23.jpg",
                "online_status": "OFFLINE"
            },
            "online_status": "OFFLINE"
        }
    ]
}
```

##### 备注 

- 需要登录
- 按分组筛选，暂时无效，有需求再开发
- 互相关注后，会自动在数据库添加好友记录



