

    
##### 简要描述

- 粉丝列表

##### 请求URL
- ` /forum/fansList `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|groupId |否  |string |分组ID，格式如“1_3”，表示分表尾号为1、ID为3的数据   |
|p |否  |int |页码，默认1  |
|limit |否  |int |每页条数，默认50  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "uid": "1",
            "is_friends": "1",
            "groups": "[\"2_8\",\"2_9\",\"2_6\"]",
            "created_at": "2020-10-19 21:35:02",
            "updated_at": "2020-10-19 21:35:02",
            "socialInfo": {
                "id": "1",
                "name": "测试用户1",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "4",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        },
        {
            "uid": "4",
            "is_friends": "0",
            "groups": "[\"2_7\"]",
            "created_at": "2020-10-19 21:34:46",
            "updated_at": "2020-10-19 21:34:46",
            "socialInfo": {
                "id": "4",
                "name": "测试用户4",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "3",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        },
        {
            "uid": "5",
            "is_friends": "0",
            "groups": "[\"2_7\"]",
            "created_at": "2020-10-19 21:34:41",
            "updated_at": "2020-10-19 21:34:41",
            "socialInfo": {
                "id": "5",
                "name": "测试用户5",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "4",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        },
        {
            "uid": "3",
            "is_friends": "0",
            "groups": "[\"2_6\"]",
            "created_at": "2020-10-19 21:27:10",
            "updated_at": "2020-10-19 21:27:10",
            "socialInfo": {
                "id": "3",
                "name": "测试用户3",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "4",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            }
        }
    ]
}
```

##### 备注 

- 需要登录
- 按分组筛选，暂时无效，有需求再开发



