### 添加记录

``jog/addRecord``

#### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| begin | 是 | int | 开始时间戳
| end | 是 | int | 结束时间戳
| distance | 是 | int | 距离
| step | 是 | int | 步数
| track | 是 | str | 轨迹信息
| step_info | 是 | str | 步数分布信息
| altitude_info | 是 | str | 海拔分布信息
| km_duration_info | 是 | json | 配速分布信息例如跑了3.5公里，分别用时5,6,7分钟则传 [300,360,420]
| track_thumb | 否 | str | 轨迹缩略图

#### 返回

通用添加运动数据返回 https://www.showdoc.com.cn/1011533406006625?page_id=5227915146564514

### 上传轨迹缩略图

``jog/uploadTrackThumb``

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| file | 是 | file | 图片文件

#### 返回
```
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": "https://track_thumb.png"
}
```