##### 简要描述

- 读取提醒

##### 请求URL
- ` /notice/read `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|noticeId |是  |int |提醒ID   |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "id": "1",
        "user_id": "1",
        "is_message": "1",
        "type": "comment",
        "from_user_id": "1",
        "subject_id": "15",
        "comment_id": "5",
        "feedback_id": "0",
        "rank_id": "0",
		"receive_id": "1",
        "content": "发动反击地方都是",
        "is_read": "1",
        "created_at": "2020-07-31 18:27:00",
        "fromUserInfo": {
            "id": "1",
            "name": "测试用户1",
            "level": "1",
            "score": "2720",
            "is_ban": "0",
            "province_id": "440000",
            "city_id": "440100",
            "district_id": "440106",
            "gender": "0",
            "age": null,
            "avatar": "hfudahfsdfhidsjifsfds"
        },
        "subjectDetail": {
            "id": "15",
            "user_id": "1",
            "forum_id": "1",
            "content": "发达急哦房间滴哦附近的死哦发",
            "images": "",
            "created_at": "2020-07-23 17:13:26",
            "share_count": "0",
            "like_count": "0",
            "comment_count": "0",
            "is_good": "0",
            "user_name": "测试用户1",
            "user_avatar": "hfudahfsdfhidsjifsfds"
        },
        "commentDetail": {
            "id": "5",
            "subject_id": "15",
            "user_id": "1",
            "to_comment_id": "0",
            "parent_comment_id": "3",
            "to_user_id": "0",
            "content": "发动反击地方都是",
            "like_count": "0",
            "comment_count": "0",
            "created_at": "2020-07-23 18:17:50",
            "user_name": "测试用户1",
            "user_avatar": "hfudahfsdfhidsjifsfds",
            "to_user_name": null,
            "to_user_avatar": null
        },
		"receiveDetail": { // 该通知对应的可领取奖励对象
			"id": "1",
			"user_id": "1",
			"from": "rank",
			"thing": [    // 奖励物品的数组，目前只有一个对象，type 为 score，表示积分奖励
				{
					"type": "score",
					"value": 10
				}
			],
			"from_detail": "",
			"is_receive": "0",  // 是否已经领取 0否 1是
			"created_at": "2020-10-22 17:33:46",
			"received_at": null
		}
    }
}
```

##### 备注 

- 需要登录
- subjectDetail, commentDetail, receiveDetail 不一定都有数据，以上结构是为了方便，而全部展示


