##### 简要描述

- 公告列表

##### 请求URL
- ` /inform/list `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|limit |否  |int |每页条数   |
|p |否  |int | 页码    |
|read  |否  |int | 已读标记（all-全部，1-已读，0-未读）, 默认已读 |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "1",
                "content": "fdsjifodsjfio jfd",
                "images": [
                    "http://fdsfs.com/fsdf.jpg",
                    "http://fdsfs.com/fsdf.jpg"
                ],
                "created_at": null,
				"create_time": 0
            },
            {
                "id": "2",
                "content": "发电机房iosdjafdiof就大肆奥就佛大死积分i",
                "images": [
                    "http://fdsfs.com/fsdf.jpg",
                    "http://fdsfs.com/fsdf.jpg"
                ],
                "created_at": null,
				"create_time": 0
            }
        ],
        "pages": {
            "total_count": "3",
            "page_size": 2,
            "total_page": 2,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 2,
            "current_page": 1,
            "all_pages": [
                1,
                2
            ],
            "offset": 0,
            "limit": 2
        },
        "count": "3"
    }
}
```

##### 备注 

- 默认取未读



