## 每日目标列表

**请求URL**
- GET `sportTarget/all`


**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":[
        {
            "id":1,
            "name":"休闲",
            "intension":"休闲",
            "duration":40,
            "consume":100,
            "fit_people":"有一定健身基础的人",
            "sort":4,
            "user_id":null
        },
        {
            "id":2,
            "name":"强身",
            "intension":"强身",
            "duration":80,
            "consume":200,
            "fit_people":"有一定健身基础的人",
            "sort":3,
            "user_id":null
        },
        {
            "id":3,
            "name":"减肥",
            "intension":"减肥",
            "duration":120,
            "consume":300,
            "fit_people":"有一定健身基础的人",
            "sort":2,
            "user_id":null
        },
        {
            "id":4,
            "name":"增肌",
            "intension":"增肌",
            "duration":160,
            "consume":400,
            "fit_people":"有一定健身基础的人",
            "sort":1,
            "user_id":null
        }
    ]
}
```

## 我的每日目标

**请求URL**
- GET `sportTarget/my`


**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{            // 如果用户没有设置目标则 data 为 null
        "reach":false,  // 是否到达目标
        "remain":160,   // 剩余运动分钟
        "target":{      // 目标对象
            "id":4,
            "name":"增肌",
            "intension":"增肌",
            "duration":160,
            "consume":400,
            "fit_people":"有一定健身基础的人",
            "sort":1,
            "user_id":null
        }
    }
}
```