
#### 2021-03-20

#### 重构部分

实体：总运动数据包括：游戏、跑步和日常；总运动exer，游戏game，跑步jog，日常daily
之前只根据游戏来统计总体数据，现在总体数据统计三部分

修改字段 step_count, jump_count, crouch_count 改为 step, jump, crouch
统计增加字段 distance,duration,times,step 等字段跟相应后缀，例如 distance_jog跑步距离 step_game游戏步数

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| sport/index -> exer/index | 首页 | 重构 | https://www.showdoc.com.cn/oujshoes?page_id=6222147309744758
| sportRecord/list\* -> exerRecord/\* | 运动数据列表 | 重构 | https://www.showdoc.com.cn/oujshoes?page_id=5283970159122582
| sportRecord/addGame -> gameRecord/addGame | 添加游戏运动数据 | 修改参数 | https://www.showdoc.com.cn/1011533406006625?page_id=5227915146564514
| sportRecord/list -> gameRecord/list | 游戏记录列表 | 新增 | https://www.showdoc.com.cn/1011533406006625?page_id=6227520364809905
| shop/buy | 购买商品 | 修改返回 | https://www.showdoc.com.cn/1011533406006625?page_id=6398537245089610
| user/info | 用户资料 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227906045509175
| stepRecord/list\* | 步数统计 | 修改返回 | https://www.showdoc.com.cn/1011533406006625?page_id=5595148682975561

#### 跑步部分

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| jog/\* | 跑步相关 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=6502401903255273

#### 2021-03-04

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| user/updateInfo | 更新用户信息 | 增加 weight 字段 | https://www.showdoc.com.cn/1011533406006625?page_id=5227906045509175 |
| sportRecord/addGame | 添加游戏记录 | 修改返回 | https://www.showdoc.com.cn/1011533406006625?page_id=5227915146564514
| rank/game，rank/sport | 榜单详情 | 修改参数和返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227916818795018
| user/countNameCard | 改名卡数量 | 新增 | https://www.showdoc.com.cn/1011533406006625?page_id=5227906045509175
| shop/\* | 积分商城相关 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=6398522075684256

#### 2021-01-20

运动时长 duration 字段单位由 分 改为 秒

* 已完成，接口字段有出现 duration、duration_total 等单词的单位都改为 秒
* 为了前端某些页面方便展示， duration_minute 等后跟 minute 的字段仍为分钟
* 某些页面需要精确到如 0.5 分钟，则用 duration （单位为秒）进行换算

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| stepRecord/addDaily | 新增步数 | 修改参数和返回 | https://www.showdoc.com.cn/1011533406006625?page_id=5595148682975561 |
| sportTarget/\* | 运动目标 | 新增 | https://www.showdoc.com.cn/1011533406006625?page_id=6221764139975394
| sport/index | 首页 | 重做 | https://www.showdoc.com.cn/1011533406006625?page_id=6222147309744758
| sportRecord/list\* | 运动数据统计 | 修改返回 | 运动数据统计、 运动强度历史 和 卡路里统计都用该接口 https://www.showdoc.com.cn/oujshoes?page_id=5283970159122582
| sportRecord/addGame | 添加游戏记录 | 修改参数 | https://www.showdoc.com.cn/oujshoes?page_id=5227915146564514


### 2020-11-25

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| sport/index | 运动首页 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227913453606441 |
| sportRecord/addGame | 添加游戏记录 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227913453606441 |
| game/start | 开始游戏 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=5912255356390139 |


### 2020-10-14

* 游戏退出或应用崩溃重启也要传游戏数据 具体看 https://www.showdoc.com.cn/oujshoes?page_id=5227915146564514

| url | 名称 | 类型 | 文档  |
| ------------ | ---  | ------------ | ------------ |
| game/start  | 开始游戏  | 新增  | https://www.showdoc.com.cn/oujshoes?page_id=5227915840973339
| sprot/index  | 运动首页  | 修改返回  | https://www.showdoc.com.cn/oujshoes?page_id=5227913453606441
| rank/all | 榜单列表 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227916695789533
| score/record | 积分记录 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=5564314390109032
| receive/one | 领取奖励 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=5564314390109032
| achievement/info | 成就等级信息 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227917781969229
| achievement/show | 成就详情 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227918539861575
| sportRecord/addGame | 添加游戏记录 | 修改参数 | https://www.showdoc.com.cn/oujshoes?page_id=5227915146564514
| sport/detail | 运动详情 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5281916492243569
| stepRecord/\* | 步数统计 | 新增 | https://www.showdoc.com.cn/oujshoes?page_id=5595148682975561
| user/info | 用户信息 | 修改返回 | https://www.showdoc.com.cn/oujshoes?page_id=5227906045509175