

    
##### 简要描述

- 反馈对话列表

##### 请求URL
- ` /feedback/myChats `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|typeId |否  |int |小类ID （优先级高于大类）  |
|groupId |否  |int | 大类ID    |
|limit |否  |int | 获取用户反馈问题数目 |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "from": "user",
            "content": "第一个问题",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 17:20:40",
			"createTime": 1596535161
        },
        {
            "from": "system",
            "content": "你的问题已解决",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 17:59:21",
			"createTime": 1596535161
        },
        {
            "from": "user",
            "content": "第二个问题",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 18:02:27",
			"createTime": 1596535161
        },
        {
            "from": "system",
            "content": "你的捞问题没人解决",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 17:59:21",
			"createTime": 1596535161
        },
        {
            "from": "user",
            "content": "第三个问题",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 18:02:27",
			"createTime": 1596535161
        },
        {
            "from": "system",
            "content": "请稍等",
            "images": [],
            "createdAt": "2020-08-04 17:59:21",
			"createTime": 1596535161
        },
        {
            "from": "system",
            "content": "这边帮您联系了下技术，他们已经帮你处理好了",
            "images": [],
            "createdAt": "2020-08-04 17:59:21",
			"createTime": 1596535161
        },
        {
            "from": "user",
            "content": "佛教第四哦发急哦是粉丝哦就发iosadfjsdioaj佛说大家说",
            "images": [
                "http://fsdf.com/fdsafs.jpg",
                "http://ddd.com/fdsfd.png",
                "https://fdsfsd.com/fdsfdsfdsfdsfjsfiojsdifsifojsdojf3243.jpg"
            ],
            "createdAt": "2020-08-04 18:16:32",
			"createTime": 1596535161
        }
    ]
}
```

##### 备注 

- 需要登录
- 字段from: user-来自用户反馈，system-来自后台回复


