**请求URL**
- GET `/feedback/types`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| groupId | 否 | int | 大分类ID


**返回示例**

```
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "groupId": "1",
            "groupName": "账号登录问题",
            "types": [
                {
                    "typeId": "10",
                    "typeName": "无法登录"
                },
                {
                    "typeId": "11",
                    "typeName": "其他账号问题"
                }
            ]
        },
        {
            "groupId": "2",
            "groupName": "运动数据问题",
            "types": [
                {
                    "typeId": "6",
                    "typeName": "数据错误"
                },
                {
                    "typeId": "7",
                    "typeName": "数据不同步"
                },
                {
                    "typeId": "8",
                    "typeName": "硬件故障"
                },
                {
                    "typeId": "9",
                    "typeName": "其他问题"
                }
            ]
        },
        {
            "groupId": "3",
            "groupName": "游戏相关问题",
            "types": [
                {
                    "typeId": "1",
                    "typeName": "界面延迟"
                },
                {
                    "typeId": "2",
                    "typeName": "界面错误"
                },
                {
                    "typeId": "3",
                    "typeName": "游戏内容"
                },
                {
                    "typeId": "4",
                    "typeName": "操作问题"
                },
                {
                    "typeId": "5",
                    "typeName": "其他问题"
                }
            ]
        },
        {
            "groupId": "4",
            "groupName": "硬件相关问题",
            "types": []
        },
        {
            "groupId": "5",
            "groupName": "软件相关问题",
            "types": []
        },
        {
            "groupId": "6",
            "groupName": "其他问题",
            "types": []
        }
    ]
}
```