

    
##### 简要描述

- 用户搜索

##### 请求URL
- ` /user/search `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|kw |是  |string |关键字   |
|p |否  |int | 页码，默认1    |
|limit |否  |int | 每页条数，默认10   |

##### 返回示例 

``` 
/* /user/search?kw=12&limit=2 */

{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "12",
                "name": "没有雷克塞的梦魇",
                "level": "1",
                "score": "0",
                "is_ban": "0",
                "province_id": null,
                "city_id": null,
                "district_id": null,
                "gender": "2",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/woman.jpg"
            },
            {
                "id": "81",
                "name": "123",
                "level": "1",
                "score": "0",
                "is_ban": "0",
                "province_id": null,
                "city_id": null,
                "district_id": null,
                "gender": "1",
                "age": null,
                "avatar": "http://news.ouj.com/www/s/default/2020/09/27/101305-785-hex2a5.jpg"
            }
        ],
        "pages": {
            "total_count": "3",
            "page_size": "2",
            "total_page": 2,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 2,
            "current_page": 1,
            "all_pages": [
                1,
                2
            ],
            "offset": 0,
            "limit": "2"
        },
        "count": "3"
    }
}
```

##### 备注 

- 需要登录



