

    
##### 简要描述

- 扫码加好友

##### 请求URL
- ` /user/newFriend `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|code |是  |int | 接口/user/newFriendCode返回的data字串  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "id": "41",
        "name": "Dream Catcher",
        "level": "1",
        "score": "0",
        "is_ban": "0",
        "province_id": null,
        "city_id": null,
        "district_id": null,
        "gender": "1",
        "age": null,
        "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_41_720143884022e236bff4f46129a3ce1f.jpg"
    }
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|data |object   | 用户信息 |

##### 备注 

- 需要登录态
- 异常情况：二维码无效、不能加自己好友，应当在result=0时作出提示


