

    
##### 简要描述

- 已屏蔽的任意对象列表

##### 请求URL
- ` /forum/myBlockObjects `
  
##### 请求方式
- POST 

##### 参数
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|for |是  |string |数据类型：user-用户，subject-帖子，comment-评论  |
|p |否  |int |页码，默认1  |
|limit |否  |int |每页条数，默认50  |


##### 返回示例 (当参数for=user时)

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "id": "2",
            "name": "测试用户2",
            "level": "1",
            "score": "2720",
            "is_ban": "0",
            "province_id": "440000",
            "city_id": "440100",
            "district_id": "440106",
            "gender": "0",
            "age": null,
            "avatar": ""
        },
        {
            "id": "3",
            "name": "测试用户3",
            "level": "1",
            "score": "2720",
            "is_ban": "0",
            "province_id": "440000",
            "city_id": "440100",
            "district_id": "440106",
            "gender": "0",
            "age": null,
            "avatar": ""
        }
    ]
}
```


##### 返回示例 (当参数for=subject时)
```
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "id": "4",
            "user_id": "1",
            "forum_id": "1",
            "title": "",
            "content": "发达急哦房间滴哦附近的死哦发",
            "images": [],
            "created_at": "2020-07-23 17:07:02",
            "share_count": "0",
            "like_count": "0",
            "comment_count": "0",
            "view_count": "0",
            "popularity": "0",
            "hide_note": "",
            "is_good": "0",
            "is_top": "0",
            "is_gg": "0",
            "is_hide": "0",
            "quote_subject_id": "0",
            "quote_comment_id": "0",
            "nickname": "asd",
            "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
            "socialInfo": {
                "id": "1",
                "name": "asd",
                "level": "3",
                "score": "120",
                "is_ban": "0",
                "province_id": "140000",
                "city_id": "140100",
                "district_id": "140101",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            },
            "tags": [],
            "time": "2020.09.24 22:26",
            "create_time": 1595495222,
            "hotComment": "[已指定不返回此热评数据]",
            "hasHotComment": false,
            "is_liked": false
        },
        {
            "id": "6",
            "user_id": "1",
            "forum_id": "1",
            "title": "",
            "content": "发达急哦房间滴哦附近的死哦发",
            "images": [],
            "created_at": "2020-07-23 17:07:47",
            "share_count": "0",
            "like_count": "2",
            "comment_count": "0",
            "view_count": "0",
            "popularity": "0",
            "hide_note": "",
            "is_good": "0",
            "is_top": "0",
            "is_gg": "0",
            "is_hide": "0",
            "quote_subject_id": "0",
            "quote_comment_id": "0",
            "nickname": "asd",
            "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
            "socialInfo": {
                "id": "1",
                "name": "asd",
                "level": "3",
                "score": "120",
                "is_ban": "0",
                "province_id": "140000",
                "city_id": "140100",
                "district_id": "140101",
                "gender": "0",
                "age": null,
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
            },
            "tags": [],
            "time": "2020.09.24 22:26",
            "create_time": 1595495267,
            "hotComment": "[已指定不返回此热评数据]",
            "hasHotComment": false,
            "is_liked": false
        }
    ]
}
```


##### 返回示例 (当参数for=comment时)
```
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "id": "5",
            "subject_id": "15",
            "forum_id": "1",
            "user_id": "1",
            "to_comment_id": "0",
            "parent_comment_id": "3",
            "to_user_id": "0",
            "content": "发动反击地方都是",
            "popularity": "0",
            "like_count": "0",
            "comment_count": "4",
            "reply_count": "0",
            "share_count": "0",
            "is_hide": "0",
            "hide_note": "",
            "created_at": "2020-07-23 18:17:50",
            "create_time": 1595499470,
            "user_name": "asd",
            "user_avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
            "to_user_name": null,
            "to_user_avatar": null
        },
        {
            "id": "6",
            "subject_id": "15",
            "forum_id": "1",
            "user_id": "1",
            "to_comment_id": "5",
            "parent_comment_id": "3",
            "to_user_id": "1",
            "content": "发动反击地方都是",
            "popularity": "0",
            "like_count": "0",
            "comment_count": "0",
            "reply_count": "0",
            "share_count": "0",
            "is_hide": "0",
            "hide_note": "",
            "created_at": "2020-07-23 18:35:49",
            "create_time": 1595500549,
            "user_name": "asd",
            "user_avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
            "to_user_name": "asd",
            "to_user_avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg"
        }
    ]
}
```

##### 备注 

- 需要登录
- 注意for值不同，返回的data结构不同


