

    
##### 简要描述

- 发帖

##### 请求URL
- ` /forum/post `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|forumId |是  |int |论坛分区ID   |
|content |是  |string | 帖文   |
|images  |否  |string | 图片ID用半角逗号隔开，以左到右为顺序 |
|quoteSubjectId  |否  |int |转发模式时，引用的帖子ID  |
|quoteCommentId  |否  |int |转发模式时，引用的帖子ID  |
|quoteData  |否  |string |转发模式时，引用的灵活数据JSON，传值请用JSON.stringify()方法。格式见 底部说明 |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "subjectId": "21"
    }
}
```


##### 备注 

- 需要登录
- 如需站内转发帖子或评论，请使用quoteSubjectId和quoteCommentId参数其一。
  新发帖子将附带引用的帖子或评论
- 转发帖子，需观察帖子数据里的quote_subject_id字段的情况来作灵活处理：
  当 quote_subject_id = 0，那么是原创帖子，就取帖子的ID；
  当 quote_subject_id != 0，那么是转发帖子，就取帖子的quote_subject_id。

  取到的值，把它作为此接口参数 quoteSubjectId 的值。
  
- 参数quoteData说明
  格式：
```
{
  "某属性名": {"value":属性值, "from":"来自表名#数据ID"}
}
```
  例如：
```
{
  "uid": {"value":123},
  "username": {"value":"王爸胆", "from":"user#123"},
  "sid": {"value":456},
  "subjectTitle": {"value":"今天池了易抛史", "from":"subject#456"}
}
```
  注意：
  	value和from是本例的保留字，不要用于属性名
	from: 目前支持user, subject, comment, game, forum，有需要可扩展


