

    
##### 简要描述

- 锚点后的更多评论（不算分页数）

##### 请求URL
- ` /forum/commentsFromId `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|commentId |是  |int |作为锚点的评论ID   |
|limit |否  |int | 获取条数    |
|sortBy|否|string| 排序方式：like_count/comment_count/created_at，默认为like_count

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": [
        {
            "id": "4",
            "subject_id": "15",
            "user_id": "1",
            "to_comment_id": "0",
            "parent_comment_id": "0",
            "to_user_id": "1",
            "to_user_name": "被回复用户",
            "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
            "content": "发动反击地方都是",
            "like_count": "0",
            "comment_count": "0",
            "created_at": "2020-07-23 18:17:20",
            "socialInfo": {
                "id": "1",
                "name": "测试用户1",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "2720",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "hfudahfsdfhidsjifsfds"
            },
            "time": "2020.08.05 19:01",
			"create_time": 1595499440,
            "subList": []
        },
        {
            "id": "3",
            "subject_id": "15",
            "user_id": "1",
            "to_comment_id": "0",
            "parent_comment_id": "0",
            "to_user_id": "1",
            "to_user_name": "被回复用户",
            "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
            "content": "发动反击地方都是",
            "like_count": "0",
            "comment_count": "0",
            "created_at": "2020-07-23 18:17:18",
            "socialInfo": {
                "id": "1",
                "name": "测试用户1",
                "level": "1",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "score": "2720",
                "is_ban": "0",
                "province_id": "440000",
                "city_id": "440100",
                "district_id": "440106",
                "gender": "0",
                "age": null,
                "avatar": "hfudahfsdfhidsjifsfds"
            },
            "time": "2020.08.05 19:01",
			"create_time": 1595499440,
            "subList": [
                {
                    "id": "5",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-23 18:17:50",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "6",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "5",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-23 18:35:49",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "7",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "5",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-23 18:36:04",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "8",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "5",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-27 17:59:21",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "9",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "5",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-08-01 18:09:35",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "10",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-08-01 18:33:17",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "11",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-08-01 18:34:15",
                    "time": "2020.08.05 19:01",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                },
                {
                    "id": "12",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "3",
                    "to_user_id": "1",
                    "to_user_name": "被回复用户",
                    "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-08-05 18:30:12",
                    "time": "下午6:30",
					"create_time": 1595499440,
                    "socialInfo": {
                        "id": "1",
                        "name": "测试用户1",
                        "level": "1",
                        "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                        "score": "2720",
                        "is_ban": "0",
                        "province_id": "440000",
                        "city_id": "440100",
                        "district_id": "440106",
                        "gender": "0",
                        "age": null,
                        "avatar": "hfudahfsdfhidsjifsfds"
                    }
                }
            ]
        }
    ]
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|data[\*].socialInfo |object   |评论发送者的社交信息 |
|data[\*].subList |array   |评论的子级评论列表 |
|data[\*].subList[\*] |object   |评论的某个子级评论，结构同父级一致 |

##### 备注 

- 评论固定为两层结构，不会再向深处发展



