**请求URL**
- GET `achievement/show`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| id | 是 | int | 成就 ID
| user_id | 否 | int | 用户 ID，不传则默认登录用户

**返回示例**

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "id":1,
        "series_id":1,
        "logo":"",
        "name":"燃脂达人Ⅰ",
        "reward_exp":5,
        "reward_score":1,
        "condition_count":500,
        "created_at":"2020-10-19 10:16:49",
        "next_reward_exp":5,
        "next_reward_score":1,
        "next_condition_count":1000,
        "condition_progress":884,
        "relate_achievements":[
            {
                "id":1,
                "series_id":1,
                "logo":"",
                "name":"燃脂达人Ⅰ",
                "reward_exp":5,
                "reward_score":1,
                "condition_count":500,
                "created_at":null
            },
            {
                "id":2,
                "series_id":1,
                "logo":"",
                "name":"燃脂达人Ⅱ",
                "reward_exp":5,
                "reward_score":1,
                "condition_count":1000,
                "created_at":null
            },
            {
                "id":3,
                "series_id":1,
                "logo":"",
                "name":"燃脂达人Ⅲ",
                "reward_exp":10,
                "reward_score":2,
                "condition_count":2000,
                "created_at":null
            },
            {
                "id":4,
                "series_id":1,
                "logo":"",
                "name":"燃脂达人Ⅳ",
                "reward_exp":15,
                "reward_score":3,
                "condition_count":3000,
                "created_at":null
            },
            {
                "id":5,
                "series_id":1,
                "logo":"",
                "name":"燃脂达人Ⅴ",
                "reward_exp":15,
                "reward_score":3,
                "condition_count":4000,
                "created_at":null
            }
        ],
        "condition_detail":"累计消耗 500 kal",
        "condition_measure":"kal"
    }
}
```