#### 运动首页

``exer/index``

#### 返回
```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "today":{
            "id":29,
            "user_id":1,
            "consume":1070,      // 今日消耗
            "consume_game":92,
            "consume_jog":978,   // 今日跑步距离
            "duration":9990,     // 今日时长
            "duration_game":2944,
            "duration_jog":7046, // 今日跑步时长
            "step":33873,        // 今日步数
            "step_game":4900,
            "step_jog":27936,
            "step_daily":1037,
            "distance":16603,
            "distance_game":2254,
            "distance_jog":13968,
            "distance_daily":381,
            "times":16,
            "times_game":14,
            "times_jog":2,
            "crouch":665,
            "jump":725,
            "created_at":"2021-03-20",
            "jump_rate":4,
            "crouch_rate":3,
            "step_rate":197.2,
            "step_rate_game":99.9,
            "step_rate_jog":237.9,
			"km_duration": 504      // 今日跑步平均配速
			"show_guide": true,     // 是否展示新手指引
			"show_exer_data": true, // 是否展示今日运动数据（有运动或日常步数超过 1000）
			"fit_slogan": "空腹训练有益于运动中脂肪的消耗", // 健身指南
			"buy_shoes_url": "https://www.ouj.com",    // 买鞋链接
			"carousel": [           // 首页走马灯
				{
					"type": "video",             // 类型
					"url": "https://1.mp4",      // 资源链接
					"cover": "https://1.jpg",    // 封面链接
					"position": 1,               // 位置
					"game_id": null,             // 跳转游戏
				}, {
					"type": "image",
					"url": "https://2.jpg",
					"cover": null,
					"position": 2,
					"game_id": 1,
				}
			]
        },
        "target":{
            "id":1,
            "user_id":1,
            "consume":0,       // 目标消耗
            "duration":1200,   // 目标时长
            "type":"duration", // 目标类型 duration时长 consume消耗
            "duration_minute":20,
            "month_finish":1  // 月达标天数
        },
        "records":[
            {
                "game_id":1,
                "name":"跳舞跳舞",
                "cover":"http://static.ouj.com/shoes/test/game/b08323df5dc941a1902a8fd7a987024c.png",
                "user_count":39,
                "times":4,             // 今日运动次数
                "duration":943,        // 今日时长
                "today_score_max":86.5 // 今日最高评分
            }
        ],
		"recent_records":[ // 最近游戏列表
            {
                "game_id":1,
                "name":"跳舞跳舞",
                "cover":"http://static.ouj.com/shoes/test/game/b08323df5dc941a1902a8fd7a987024c.png",
            }
        ],
        "games":[
            {
                "id":1,
                "name":"跳舞跳舞",
                "tags":[
                    "冒险",
                    "闯关",
                    "竞技"
                ],
                "cover":"http://static.ouj.com/shoes/test/game/b08323df5dc941a1902a8fd7a987024c.png",
                "cover_horizontal":"http://static.ouj.com/shoes/test/game/afca232ac720416eb8d56f66495ea9a4.png",
                "cover_vertical":"http://static.ouj.com/shoes/test/game/f0e115bb3f6e44e3960a4a681e874996.png",
                "introduce_video":"http://static.ouj.com/shoes/test/vid/494f8580d9d74cec8ed663ddf510605f.mp4",
                "introduce_video_cover":"http://static.ouj.com/shoes/test/game/afca232ac720416eb8d56f66495ea9a4.png",
                "introduce":"《节奏大师》是一款老少皆宜的绿色音乐游戏。游戏方式在传统敲击音符玩法基础上加入滑动音符的操作方式",
                "introduce_images":[
                    "https://pp.myapp.com/ma_pic2/0/shot_12127266_3_1597896508/550",
                    "https://pp.myapp.com/ma_pic2/0/shot_10099632_1_1600237983/550",
                    "https://pp.myapp.com/ma_pic2/0/shot_10453026_3_1589422165/550"
                ],
                "file_size":29.42,
                "publish_date":"2020-01-01",
                "develop_company":"有限公司有限公司有限公司有限公司",
                "like_count":21,
                "user_count":39,
                "version":"0.0.1",
                "download_url":"http://172.16.14.127/share/xtjh_KeepDancing_QA_9.9.0_20210106162927_debug_s.apk",
                "status":0,
                "package_name_ios":"com.DanceGame.oujia",
                "package_name_android":"com.ouj.dance",
                "difficulty":20,
                "subject_id":249,
                "file_size_byte":30846737
            }
        ],
        "new_achievements":[
            {
                "id":11,
                "series_id":3,
                "logo":"http://static.ouj.com/shoes/icon/a86a2fa143964e2ca2ca4e179980f181.png",
                "name":"签到能手Ⅰ",
                "reward_exp":5,
                "reward_score":1,
                "condition_count":7,
                "user_count":21,
                "condition_progress":7,
                "created_at":"2021-03-20 15:20:45",
                "condition_detail":"累计登陆 7 天",
                "condition_measure":"天"
            }
        ],
        "new_rank":[
			{
				"id": 1,
				"name": "xxx排行榜",
				"position": 1,
				"created_at": ""
			}
        ],
		"jog_user_count": 100  // 多少人在练跑步
		"jog_last_id": 2116,
		"jog_last": {
			"user_id": 142,
			"type": "jog",
			"record_id": 706,
			"created_at": "2021-08-10 09:59:51",
			"duration": 91,
			"distance": "1000",
			"step": "100",
			"consume": "100",
			"step_rate": 65.93,
			"id": 2116,
			"jump_rate": 0,
			"crouch_rate": 0,
			"jog_record": {
				"id": 706,
				"user_id": 142,
				"begin": "2021-08-10 09:58:20",
				"end": "2021-08-10 09:59:51",
				"km_duration_info": [],
				"km_duration_best": null,
				"track_thumb": "https://track_thumb.png"
			}
		}
    }
}
```